Package org.jboss.resteasy.plugins.providers.multipart

## Class MultipartFormDataInputImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl
  - - org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInputImpl

- All Implemented Interfaces:
    `ProvidersContextRetainer`, `MultipartFormDataInput`, `MultipartInput`

      public class MultipartFormDataInputImpl
      extends MultipartInputImpl
      implements MultipartFormDataInput

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl

      `MultipartInputImpl.PartImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​List<InputPart>>` | `formDataMap` |

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl

      `contentType, defaultPartCharset, defaultPartContentType, empty, mimeMessage, parts, savedProviders, workers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartFormDataInputImpl​(javax.ws.rs.core.MediaType contentType, javax.ws.rs.ext.Providers workers)` |
    `MultipartFormDataInputImpl​(org.apache.james.mime4j.dom.Multipart multipart, javax.ws.rs.ext.Providers workers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected InputPart` | `extractPart​(org.apache.james.mime4j.message.BodyPart bodyPart)` |
    `protected void` | `finalize()` |
    `Map<String,​List<InputPart>>` | `getFormDataMap()` |
    `<T> T` | `getFormDataPart​(String key, Class<T> rawType, Type genericType)` |
    `<T> T` | `getFormDataPart​(String key, javax.ws.rs.core.GenericType<T> type)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl

      `addHeaderToHeadlessStream, close, createHeaderInputStream, extractParts, getCharset, getParts, getPreamble, main, parse, setProviders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.plugins.providers.multipart.MultipartInput

      `close, getParts, getPreamble`

- - ### Field Detail

    - #### formDataMap

          protected Map<String,​List<InputPart>> formDataMap

  - ### Constructor Detail

    - #### MultipartFormDataInputImpl

          public MultipartFormDataInputImpl​(javax.ws.rs.core.MediaType contentType,
                                            javax.ws.rs.ext.Providers workers)

    - #### MultipartFormDataInputImpl

          public MultipartFormDataInputImpl​(org.apache.james.mime4j.dom.Multipart multipart,
                                            javax.ws.rs.ext.Providers workers)
                                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getFormDataMap

          public Map<String,​List<InputPart>> getFormDataMap()

      Specified by:
        `getFormDataMap` in interface `MultipartFormDataInput`
      Returns:
        A parameter map containing a list of values per name.

    - #### getFormDataPart

          public <T> T getFormDataPart​(String key,
                                       Class<T> rawType,
                                       Type genericType)
                                throws IOException

      Specified by:
        `getFormDataPart` in interface `MultipartFormDataInput`
      Throws:
        `IOException`

    - #### getFormDataPart

          public <T> T getFormDataPart​(String key,
                                       javax.ws.rs.core.GenericType<T> type)
                                throws IOException

      Specified by:
        `getFormDataPart` in interface `MultipartFormDataInput`
      Throws:
        `IOException`

    - #### extractPart

          protected InputPart extractPart​(org.apache.james.mime4j.message.BodyPart bodyPart)
                                   throws IOException

      Overrides:
        `extractPart` in class `MultipartInputImpl`
      Throws:
        `IOException`

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `MultipartInputImpl`
      Throws:
        `Throwable`